package com.ynfy.buss.exam.userexam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.exam.entity.ExamPapers;
import com.ynfy.buss.exam.userexam.entity.UserExamPapers;

import java.util.List;


/**
 * @Description: 用户考试表
 * @Author: jeecg-boot
 * @Date: 2023-03-05
 * @Version: V1.0
 */
public interface IUserExamPapersService extends IService<UserExamPapers> {
    //根据用户考试id获取正在进行的考试
    List<UserExamPapers> UserExamIdAllUserExamPapers(String userExamId);
    //根据用户考试id获取已经考完的考试
    List<UserExamPapers> UserExamIdAllUserExamPapers2(String userExamId);
    List<UserExamPapers> UserExamIdPaperUserExamPapers(String userExamId,String paperId);
    List<UserExamPapers> UserExamPapersList(String userExamId,String paperId);
}
